<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort() + path+"/";
	request.setAttribute("contextPath", basePath);
%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <title>进度管理</title>
    <base href="${contextPath}">
    <script src="app/lib/flexible.js"></script>
    <script type="text/javascript" src="res/js/jquery.min.js"></script>
    <script type="text/javascript" src="res/js/layer/layer.min.js"></script>
    <script type="text/javascript" src="app/js/public.js"></script>
    <script type="text/javascript" src="res/js/layer/layer.min.js"></script>
  
    <link rel="stylesheet" href="app/lib/flexible.css">
	<link rel="stylesheet" href="app/css/basem.css">
	<link rel="stylesheet" href="app/css/logome.css">
	<link rel="stylesheet" href="app/css/public.css">
	<link rel="stylesheet" href="app/css/index.css">
</head>
    <body>
    	<form action="" id="orderinfo">
    	<input type="hidden" name="orderId" value="${orderId}">
        <div class="titbox blubg">
            <a class="titreturn left" href="javascript:void(0)" onclick="javascript:history.go(-1)"><img src="app/img/fanhui16@2x.png" alt=""></a>
            <h1>申请终止</h1>
        </div>
        <div class="top50 terminnate"> 
            <textarea name="apply_reason" id="apply_reason" cols="30" rows="10" class="contents" placeholder="请填写订单终止原因"></textarea>
            <a href="javascript:void(0)" onclick="submit_form();" class="redbtn">提交</a>
        </div>
        	
        </form>
        <script type="text/javascript">
	      	function submit_form(code){
	      		if($("#apply_reason").val()==''){
	    			layer.msg("请填写订单终止原因");
	    			return false;
	    		}
	    		$.ajax({
	                url:"${contextPath}/web/mgmOrder/orderTermination.cs",
	                type:"post",
	                data: $('#orderinfo').serialize(),
	                success:function(data){
	                	var datas=eval(data.data);
	    				console.log(data);
	    				if (data.ret == 1) {
	    					layer.msg(data.msg);
	    					 setTimeout(function(){  
	                			 history.go(-1);
	                		 }
	                		 ,2000); 
	    				}else{
	    					layer.msg(data.msg);
	    				}
	                },
	                error:function(e){
	                    alert("错误！！");
	                }
	            });  
	    	}
        </script>
    </body>
</html>